NX Open C++ Reference Guide
|
Represents a Builder for Make 2D component unique functionality which will create a new definition of the selected 2D Component instance <br> To create a new instance of this class, use @link Layout2d::ComponentCollection::CreateMakeComponentUniqueBuilder Layout2d::ComponentCollection::CreateMakeComponentUniqueBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::Layout2d::SelectComponent * | Component () |
Returns the select 2D comoponent instance to create definition Created in NX9.0.0. | |
NXOpen::Layout2d::ComponentNameBuilder * | ComponentName () |
Returns the 2D Component Name defines the name for the new created definition Created in NX9.0.0. | |
NXOpen::Gateway::ImageCaptureBuilder * | ImageCapture () |
Returns the image capture builder used to create an image for the new definition Created in NX9.0.0. | |
NXString | ImageName () |
Returns the 2D component image name for the new created definition Created in NX9.0.0. | |
void | SetImageName (const NXString &imageName) |
Sets the 2D component image name for the new created definition Created in NX9.0.0. | |
void | SetImageName (const char *imageName) |
Sets the 2D component image name for the new created definition Created in NX9.0.0. | |
void | SetLocation (NXOpen::Layout2d::Layout2dDefinitionLocation locationType) |
Sets the location type of the component indicating local, native or team center Created in NX9.0.0. | |
void | SetPath (const NXString &path) |
Sets the path to store the component Created in NX9.0.0. | |
void | SetPath (const char *path) |
Sets the path to store the component Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Builder for Make 2D component unique functionality which will create a new definition of the selected 2D Component instance <br> To create a new instance of this class, use @link Layout2d::ComponentCollection::CreateMakeComponentUniqueBuilder Layout2d::ComponentCollection::CreateMakeComponentUniqueBuilder @endlink <br>
Default values.
Property | Value |
---|---|
ImageCapture.CaptureMethod |
GraphicsArea |
ImageCapture.Format |
Bmp |
ImageCapture.Size |
Pixels64 |
Created in NX9.0.0.
NXOpen::Layout2d::SelectComponent* NXOpen::Layout2d::MakeComponentUniqueBuilder::Component | ( | ) |
Returns the select 2D comoponent instance to create definition
Created in NX9.0.0.
License requirements : None
NXOpen::Layout2d::ComponentNameBuilder* NXOpen::Layout2d::MakeComponentUniqueBuilder::ComponentName | ( | ) |
Returns the 2D Component Name defines the name for the new created definition
Created in NX9.0.0.
License requirements : None
NXOpen::Gateway::ImageCaptureBuilder* NXOpen::Layout2d::MakeComponentUniqueBuilder::ImageCapture | ( | ) |
Returns the image capture builder used to create an image for the new definition
Created in NX9.0.0.
License requirements : None
NXString NXOpen::Layout2d::MakeComponentUniqueBuilder::ImageName | ( | ) |
Returns the 2D component image name for the new created definition
Created in NX9.0.0.
License requirements : None
void NXOpen::Layout2d::MakeComponentUniqueBuilder::SetImageName | ( | const NXString & | imageName | ) |
Sets the 2D component image name for the new created definition
Created in NX9.0.0.
License requirements : nx_drafting_plus ("DraftingPlus")
imageName | imagename |
void NXOpen::Layout2d::MakeComponentUniqueBuilder::SetImageName | ( | const char * | imageName | ) |
Sets the 2D component image name for the new created definition
Created in NX9.0.0.
License requirements : nx_drafting_plus ("DraftingPlus")
imageName | imagename |
void NXOpen::Layout2d::MakeComponentUniqueBuilder::SetLocation | ( | NXOpen::Layout2d::Layout2dDefinitionLocation | locationType | ) |
Sets the location type of the component indicating local, native or team center
Created in NX9.0.0.
License requirements : nx_drafting_plus ("DraftingPlus")
locationType | locationtype |
void NXOpen::Layout2d::MakeComponentUniqueBuilder::SetPath | ( | const NXString & | path | ) |
Sets the path to store the component
Created in NX9.0.0.
License requirements : nx_drafting_plus ("DraftingPlus")
path | location of component |
void NXOpen::Layout2d::MakeComponentUniqueBuilder::SetPath | ( | const char * | path | ) |
Sets the path to store the component
Created in NX9.0.0.
License requirements : nx_drafting_plus ("DraftingPlus")
path | location of component |